#ifndef D2_H
#define D2_H
#include "config.h"

typedef struct {
  int x;
  int y;
}point2d_t;

typedef enum {
    cl_left = 1,
    cl_right = 2,
    cl_top = 4,
    cl_bottom = 8
} clip_edge_t;

int clip_line(point2d_t *st, point2d_t *en, point2d_t lt, point2d_t rb);
int get_code(point2d_t pt, point2d_t lt, point2d_t rb);




#endif

