#ifndef D3DRAW_H
#define D3DRAW_H
#include "config.h"
#include "layout.h"
#include "3d.h"
#include "3dmodel.h"
#include "layout.h"

void set_view_mode(view_mode_t new_view_mode);
view_mode_t get_view_mode(void);

void draw_3dline(point3d_t st3d, point3d_t en3d);
void draw_3dline_sensor(point3d_t st3d, point3d_t en3d, int xa, int ya);
void draw_shadowline(point3d_t st3d, point3d_t en3d);
void draw_shadow(model3d_t *model, int motion, point3d_t pos);
void draw_model(model3d_t *model, int motion, point3d_t pos);
void draw_hitbox(model3d_t *model, point3d_t pos);
void animate_sensor_model(model3d_t *model);
void draw_sensor_model(model3d_t *model);
void draw_explosion(model3d_t *model, int motion, int emotion, point3d_t pos);
void create_explosion(model3d_t *model);

#endif







