#ifndef UTY_H
#define UTY_H
#include <stdlib.h>
//#include "config.h"


// 範囲を表す型
typedef struct {
    int min;
    int max;
} range_t;

// 上限付の加算値を返す
// 通常はv+aを返すが、結果がlimitを超える場合はlimitを返す
#define AddLimit(v, a, limit) (v+a > limit ? (v = limit) : (v += a))
// 上限付のインクリメントを行う
// 通常はv++と同じだが、v==limitのときはなにもしない
#define IncLimit(v, limit) (v+1 > limit ? v : (v)++)

// 二つの整数値を入れ替える
void swap_int(int *x, int *y);

// 指定がなければDPIは96とする
#ifndef SCREEN_DPI
#define SCREEN_DPI 96
#endif
#define Point2Pixel(pt) ((pt)*SCREEN_DPI/72)
#define Pixel2Point(pxl) ((pxl)*72/SCREEN_DPI)


#endif
